from django.views.decorators.http import require_http_methods

from backend.Service.ParamsService import ParamsService


@require_http_methods(['POST'])
def Create(reqeust):
    return ParamsService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return ParamsService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return ParamsService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return ParamsService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return ParamsService.Search(reqeust)
